concordance (1.5-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.0 (no changes needed)
  * Update debhelper-compat level to 13
  * Rules-Requires-Root: no

 -- Scott Talbert <swt@techie.net>  Thu, 28 Apr 2022 18:28:56 -0400

concordance (1.5-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Scott Talbert ]
  * Update to new upstream release 1.5
  * Add BDs on libcurl4-openssl-dev and python3-setuptools
  * Adjust sonames for new release

 -- Scott Talbert <swt@techie.net>  Wed, 27 Apr 2022 19:22:18 -0400

concordance (1.4-2) unstable; urgency=medium

  * No-change rebuild to enable migration

 -- Scott Talbert <swt@techie.net>  Sun, 08 Mar 2020 21:23:15 -0400

concordance (1.4-1) unstable; urgency=medium

  * Update to new upstream release 1.4
  * d/control: Update Standards-Version to 4.5.0
  * Change AppStream metadata license to permissive (MIT) to avoid errors

 -- Scott Talbert <swt@techie.net>  Thu, 13 Feb 2020 22:05:04 -0500

concordance (1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Scott Talbert ]
  * Remove subpackage for Python 2 bindings
  * d/control: update Standards Version to 4.4.0 (no changes needed)
  * d/control: update debhelper version to 12 and switch to debhelper-compat
  * d/patches: remove empty series file and README.source
  * d/concordance.metainfo.xml: change license to match d/copyright
  * d/concordance.metainfo.xml: change id to be a reverse domain name

 -- Scott Talbert <swt@techie.net>  Tue, 23 Jul 2019 22:22:16 -0400

concordance (1.3-1) unstable; urgency=medium

  * New upstream release 1.3
  * debian/control:
    - Add subpackage for Python 3 bindings
  * debian/rules:
    - Build Python 3 bindings
  * debian/patches:
    - Remove libzip configure patch which doesn't seem to be needed anymore
  * debian/concordance.metainfo.xml:
    - Change license to CC0-1.0 to fix AppStream error

 -- Scott Talbert <swt@techie.net>  Tue, 12 Jun 2018 22:31:13 -0400

concordance (1.2-2) unstable; urgency=medium

  * debian/control:
    - Indicate that a VCS is now being used
    - Update standards version to 4.1.4
    - Update Homepage URL
    - Add dh-python to Build-Depends
  * debian/copyright:
    - Update URLs
    - Remove files paragraphs that refer to non-existent files
  * debian/rules:
    - Remove get-orig-source target as this has been removed in 4.1.4
    - Use DEB_*FLAGS_MAINT_APPEND instead of DEB_*FLAGS_APPEND
    - Enable hardening
  * debian/watch:
    - Update URL
  * Added concordance.metainfo.xml file to advertise hardware support

 -- Scott Talbert <swt@techie.net>  Mon, 07 May 2018 23:02:19 -0400

concordance (1.2-1) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * New upstream release 1.2.
  * debian/control, debian/libconcord?.install:
    - Rename libconcord2 to libconcord4 to account for SONAME change.

  [ Scott Talbert ]
  * Fix CFLAGS/CPPFLAGS for concordance so that hardening flags are used
  * Add Scott Talbert as a co-maintainer
  * Bump standards version to 3.9.6

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Mon, 13 Jul 2015 19:58:53 -0400

concordance (1.1-3) unstable; urgency=medium

  [ Scott Talbert ]
  * Include patch from upstream to fix crash during website communications
    (Closes: #774014)

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Thu, 08 Jan 2015 11:18:04 -0500

concordance (1.1-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Fix kFreeBSD build - use hidapi which is now available (Closes: #754686)

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 07 Oct 2014 22:56:47 -0400

concordance (1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #743051)
  * Merge in changes from Ubuntu.
    - Use autoreconf to regenerate macros for ppc64el.
  * debian/control:
    - Make non-linux-any systems keep libusb-dev; linux-any systems now build
      against libhidapi, so libhidapi-dev was added to build-depends.
    - Drop build-dep on libzzip-dev; use libzip-dev instead.
    - Bump Standards-Version to 3.9.5
  * debian/patches/handle_kfreebsd_hurd.patch: make sure the build system
    recognizes kfreebsd/hurd systems as requiring libusb rather than libhidapi.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Wed, 23 Apr 2014 19:59:07 -0400

concordance (1.0-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf to get new libtool macros for ppc64el.
    - Disable -Werror for automake to fix FTBFS while autoreconfing in
      libconcord.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Feb 2014 12:21:18 -0500

concordance (1.0-2) unstable; urgency=medium

  * debian/patches/conditionally_run_iptables.patch: fix the concordance dhcpd
    startup scripts used by some remotes for non-linux: they can't run iptables
    and we only really use it to punch through the firewall for DHCP to work.
    (Closes: #720311)
  * debian/control: drop concordance-common Depends: for iptables to a Suggests.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 04 Feb 2014 19:24:48 -0500

concordance (1.0-1ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Disable -Werror for automake to fix FTBFS while autoreconfing in
    libconcord.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 21:21:54 -0500

concordance (1.0-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 20:47:11 -0500

concordance (1.0-1) unstable; urgency=low

  [ Scott Talbert ]
  * New upstream release (Closes: #707612)

  [ Mathieu Trudel-Lapierre ]
  * Acknowledge NMU (Closes: #694597)
  * debian/control:
    - Bump to debhelper 9. Update compat.
    - Rename libconcord2 to libconcord3 to go with soname change.
    - Remove .la and .a files.
    - Update descriptions. (Closes: #681378)
    - Add concordance-common package for udev rules and scripts.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Sat, 15 Jun 2013 15:28:39 -0400

concordance (0.24-1.1) unstable; urgency=high

  * Non-maintainer upload from package sponsor.
  * libconcord-dev: Add missing breaks and replaces against the old
    libconcord1-dev package. Thanks to Andreas Beckmann.
    Closes: #694284

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 28 Nov 2012 10:15:29 +0100

concordance (0.24-1) unstable; urgency=low

  * New upstream release.
    - Fixes building with GCC 4.7 (Closes: #667140)
  * debian/patches/03-attr-syntax-in-udev-rules.diff: dropped, applied upstream.
  * debian/patches/h525-flash-size-detection.patch: dropped, applied upstream.
  * debian/rules: the udev rule file was renamed, so use the new name to move
    it back under debian/libconcord2.udev.
  * debian/control: bump Standards-Version to 3.9.3.
  * debian/copyright: fix Format-Specification url and some small typos.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Fri, 13 Apr 2012 10:42:25 -0400

concordance (0.23-2) unstable; urgency=low

  * debian/patches/h525-flash-size-detection.patch: reinstate patch for the
    Harmony 525 flash size; seems it wasn't actually contained in the last
    upstream release. (Closes: #630162, #641148)
  * debian/control:
    - bump Standards-Version.
    - drop quilt Build-Depends.
    - drop XB-Python-Version, XS-Python-Version.
    - properly set python-all-dev Build-Depends version to (>= 2.6.6-3~).
    - set Section: libs for libconcord2.
  * debian/control, debian/compat: switch to using debhelper 8; bump compat.
  * debian/rules: switch to using the DH sequencer, do extra cleanup after the
    build process.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Mon, 12 Sep 2011 18:30:30 -0400

concordance (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621157).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 15:19:01 +0200

concordance (0.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 11 May 2011 20:25:07 +0200

concordance (0.23-1) unstable; urgency=low

  * New upstream release. (Closes: #608142)
  * debian/patches/h525-flash-size-detection.patch: applied upstream.
  * debian/patches/593825-fix-py-expected-abi.diff: no longer necessary
    (ABI was really bumped).
  * debian/rules: replace dh_pycentral call with dh_python2.
    (Closes: 616780)
  * debian/control: drop Build-Depends on python-central.
  * debian/control: bump soname version in package name for libs, also
    drop the soname version number in the development package name.
  * debian/libconcord1-dev.install: renamed to libconcord-dev.install.
  * debian/libconcord1.install: renamed to libconcord2.install.
  * debian/rules: update mentions of libconcord1 to libconcord2.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 29 Mar 2011 20:18:44 -0400

concordance (0.22-3) unstable; urgency=low

  * Include flash size detection patch that should fix data loss errors
    when flashing a Harmony 525. (Closes: 594615)
    - add debian/patches/h525-flash-size-detection.patch
    - update debian/patches/series
  * Also update the maintainer field due to GPG key change.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Sat, 27 Nov 2010 22:30:31 -0500

concordance (0.22-2) unstable; urgency=low

  * Change the expected ABI numbers in python bindings. It was bumped
    upstream to 2 by mistake, fixed in svn. (Closes: 593825)

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Sun, 22 Aug 2010 18:46:08 -0400

concordance (0.22-1) unstable; urgency=low

  * New upstream release 0.22. (Closes: 591679)
  * Patch gen_udev_support to write nice rules with ATTR (Closes: 567871)
    - add debian/patches/03-attr-syntax-in-udev-rules.diff
  * Update Standards-Version to 3.9.1
  * Migrate to source format 3.0 (quilt).

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 04 Aug 2010 14:35:14 -0400

concordance (0.21-5) unstable; urgency=low

  * Remove HAL ACL, PolicyKit support (Closes: 559044)
    - Not building these also fixes non-root access (Closes: 560427)
  * Uniformize Description fields
    - updated debian/control

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Sat, 12 Dec 2009 23:58:07 -0500

concordance (0.21-4) unstable; urgency=low

  * Re-renamed python-concordance to python-libconcord.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 19 Aug 2009 14:51:39 -0400

concordance (0.21-3) unstable; urgency=low

  * Migrated to section utils, priority optional.
  * Bumped Standards-Version to 3.8.3
  * Added README.source as per new policy.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 19 Aug 2009 10:45:06 -0400

concordance (0.21-2) unstable; urgency=low

  * Renamed python-concordance to python-libconcord as per Python policy.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Tue, 28 Jul 2009 14:07:21 -0400

concordance (0.21-1) unstable; urgency=low

  * Initial package (closes: #512597)
  * Software was repackaged from tar.bz2 to tar.gz

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Mon, 27 Jul 2009 08:29:19 -0400
